Test Call API
Sends a test call from the merchant server to the Hecto Financial server. Use this API to verify the alive status of the service.
NOTE
Hash not required
The Test Call API does not require pktHash.
API Information
POST/v1/api/test/testcall
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/test/testcall운영
https://npay.settlebank.co.kr/v1/api/test/testcallRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└procDivAN(2)Alphanumeric, up to 2 bytesOperation type.
Operation type.
*TC: Test call
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number (no Korean characters).
Merchant order number (no Korean characters).
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
OLD20190221001Merchant order number.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction reference number.
SFP_FRIM12345678901234567890Hecto Financial transaction reference number.
Need technical support?
Code Samples
HectoFinancial GitHub